UI Design for Constraint Checks/Violations
Closed, ResolvedPublic

Description

Story: As a user I want to quickly see possible problems with the data and what I can do about them

Task: Create a UI that allows to quickly see relevant information based on this:

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2017, 9:36 AM

So, my current design is this:

I tried to eliminate lines and save a bit of space. Also I wanted to have the possibility to have action icons or links for each constraint notification (for T164351, "Add helpful links to constraint reports") . These buttons/icons are currently signified via the [...] icon as a placeholder.

Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.May 5 2017, 1:03 PM
Lydia_Pintscher triaged this task as High priority.May 5 2017, 1:06 PM

Change 352586 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Remove framing and padding from individual reports

https://gerrit.wikimedia.org/r/352586

Change 352587 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add top border to each report

https://gerrit.wikimedia.org/r/352587

Current look with Change 352588:

Change 352586 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Remove framing and padding from individual reports

https://gerrit.wikimedia.org/r/352586

Change 352587 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add top border to each report

https://gerrit.wikimedia.org/r/352587

Lydia_Pintscher closed this task as Resolved.Jun 12 2017, 7:21 AM